Page MenuHomePhabricator

rack and setup restbase production cluster in eqiad
Closed, ResolvedPublic

Description

The servers have arrived. They are 10G server and will need to go into those assigned racks. Gabriel stated the servers need to be spread out across rows, and ideally racks. I will rack in A5/C8 and D8. The 2 servers that will go in A5 will not be connected until after we move the memcache servers to C8. (https://phabricator.wikimedia.org/T83551).

  • Requires

Racking/Cabling/Racktables
Local bios/idrac cfg
ASW port configuration
dns both production and mgmt
dhcpd
base install

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Cmjohnson created this task.Feb 6 2015, 5:10 PM
Cmjohnson updated the task description. (Show Details)
Cmjohnson raised the priority of this task from to Needs Triage.
Cmjohnson claimed this task.
Cmjohnson added projects: ops-eqiad, acl*sre-team.
Cmjohnson added a subscriber: Cmjohnson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2015, 5:10 PM
faidon triaged this task as High priority.Feb 9 2015, 10:28 AM
faidon set Security to None.
GWicke updated the task description. (Show Details)Feb 9 2015, 7:07 PM
GWicke added a subscriber: GWicke.

Setup:

  • Debian Jessie
  • Partitioning:
    • small (~20G RAID-1) partition for /
    • bulk of SSDs as RAID-0 on top of LVM vg

We do not have a name for these yet. The bios doesn't seem to want to accept the 10G card as a boot device

name wise let's go with restbase unless someone has better ideas

GWicke added a comment.EditedFeb 11 2015, 6:32 PM

@Cmjohnson, @RobH: How is this going? Do you think the first three boxes will be ready by the end of this week?

name wise let's go with restbase unless someone has better ideas

I would actually call them something that's descriptive of the hardware characteristics, for e.g. 'ssd', 'storage' or 'dsc'. RESTBase might not even run on these boxes in the longer term. Only Cassandra (or whatever other storage we use) would remain.

Quick status update: Four of the six boxes are online already & are being imaged by @fgiunchedi. Racking of the last two ones depends on memcached servers being shuffled around, but that's no problem as we can start with four boxes.

Update, if all goes according to plan the memcached boxes should be moved early next week and the remaining 2 will setup by the end of next week.

pending renames in racktables too, only asset name now

restbase1001 and restbase1002 have been setup and are ready to be installed. dhcp file was udpated with MAC address's from 10G NIC.

Once @fgiunchedi finishes install please close ticket. Worth noting is the access switch still needs redundant power which will take place on Monday 2/23.

restbase1002 installed, pending restbase1001

restbase1001 done, resolving. restbase1006 controller issues are tracked in T89639

fgiunchedi closed this task as Resolved.Feb 25 2015, 10:20 AM